/* ---------- MAIN SECTION ---------- */
main {
  margin-top: 70px;
  padding: 40px 20px;
  background: rgba(20, 30, 45, 0.8);
  border-radius: 12px;
  box-shadow: 0 1px 10px rgba(0, 255, 255, 0.12);
  min-height: 70vh;
}

main h1 {
  text-align: center;
  font-weight: 600;
  font-size: 2rem;
  margin-bottom: 16px;
  color: #00ffd5;
  text-shadow: 0 0 6px #00887a;
}

main p {
  line-height: 1.8;
  font-size: 1.05rem;
  color: #d8f1f3;
  margin-bottom: 18px;
}

main div a img {
  width: 150px;
  /* साइज़ एडजस्ट किया */
  height: auto;
  border-radius: 5px;
  border: 2px solid #80e9ff;
  box-shadow: 0 0 6px #00887a;
}


.container-label {
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  padding: 2px 12px;
  font-size: 1.1rem;
  font-weight: 700;
  color: #00ffd5;
  background-color: rgba(20, 30, 45, 1);
  border: 2px solid #00ffd5;
  border-radius: 6px;
  z-index: 10;
}



/* rajya ke liye css gallery */
.gallery-container {
  display: grid;
  border: 2px solid #00ffd5;
  background-color: rgba(20, 30, 45, 0.8);
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 255, 255, 0.3);
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 20px;
  padding: 50px 20px 40px 20px;
  max-width: 1200px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

.gallery-container a {
  text-align: center;
  display: flex;
  justify-content: center;

}


.container {
  max-width: 1000px;
  /* चौड़ाई बढ़ाई गई */
  margin: 20px auto;
  border: 2px solid #00ffd5;
  /* थीम से मेल खाता बॉर्डर */
  padding: 50px 20px 40px 20px;
  background-color: rgba(20, 30, 45, 0.8);
  /* Main से मिलता बैकग्राउंड */
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 255, 255, 0.3);
  position: relative;
  z-index: 1;
}

.box {
  display: flex;
  align-items: center;
  padding: 15px;
  margin-bottom: 25px;
  border: 1px solid #2c5364;
  /* डार्क थीम बॉर्डर */
  border-radius: 6px;
  background-color: #112345;
}

.box img {
  width: 100px;
  /* साइज़ एडजस्ट किया */
  height: auto;
  border-radius: 5px;
  border: 2px solid #80e9ff;
}

.text {
  font-size: 1.05rem;
  color: #d0e9f7;
  /* ग्लोबल टेक्स्ट कलर */
  padding: 0 20px;
  flex: 1;
}

.left-image {
  flex-direction: row;
  gap: 15px;
}

.right-image {
  flex-direction: row-reverse;
  gap: 15px;
}

a {
  text-decoration: none;
  color: #00ffd5;
  /* लिंक कलर थीम से मैच किया */
  transition: color 0.3s;
}

a:hover {
  color: #80e9ff;
}

/* मोबाइल रिस्पॉन्सिवनेस */
@media (max-width: 600px) {
  .box {
    flex-direction: column;
    /* मोबाइल पर इमेज को टेक्स्ट के ऊपर करें */
    align-items: center;
  }

  .box img {
    margin-bottom: 10px;
    width: 50%;
    height: auto;
  }

  .text {
    padding: 10px 0 0 0;

  }
}


/* ---------- RESPONSIVE DESIGN ---------- */
@media (max-width: 600px) {
  main {
    margin-top: 110px;
    padding: 25px 14px;
  }
}

main h1 {
  font-size: 1.5rem;
}